Instalação e uso do Superkaramba

Esse artigo aborda a instalação e configuração do Superkaramba, o concorrente do gDesklets (Gnome/GTK), porém para KDE. O diferencial desse texto é a dica que o autor dá sobre como rodar o Superkaramba no seu Fluxbox, Blackbox, IceWM ou qualquer outro gerenciador de janelas de modo que ele funcione bem. E aí, você sabia que isso era possível?

[ Hits: 80.062 ]

Por: Perfil removido em 28/03/2005


O que é o superkaramba



Superkaramba é uma arquitetura de "applets" para desktop destinado a implementar na área de trabalho do KDE themes com uma ampla gama de funcionalidades, tais como monitores de sistema, monitores de condição atmosférica, calendários, relógios, barras de ícones, etc.

o superkaramba é a "evolução" do antigo karamba e tem a vantagem de ser mais fácil de instalar e usar que o seu "rival" gdesklets (Gnome/GTK).

Com o uso de alguns "truques", ele pode ser usado "fora" do KDE, funcionando perfeitamente no Fluxbox, Blackbox, IceWM, etc.

    Próxima página

Páginas do artigo
   1. O que é o superkaramba
   2. Instalação
   3. "Truque" de configuração para o superkaramba funcionar "fora" do KDE
   4. Usando o superkaramba
Outros artigos deste autor

Configurando corretamente para o Horário de Verão

Passos essenciais para configurar um servidor de impressão dedicado no Linux

Instalando placa de som de modo rápido, fácil e prático

Inclusão Digital

Zenwalk - Uma distro e tanto

Leitura recomendada

LAMP no Funtoo Linux em 15 minutos

Trabalhando com shell e variáveis de ambiente

Instalando e configurando o vsftpd no Ubuntu

Traceroute com ICMP e TCP

Vim com corretor ortográfico em pt_BR/es_ES/en_US

  
Comentários
[1] Comentário enviado por caiovinic em 29/03/2005 - 04:16h

Bom seu artigo!
Uma perguntionha: Tem como utlizar o Superkaramba sem que o KDE esteja instalado?

[2] Comentário enviado por removido em 29/03/2005 - 07:05h

o superkaramba não funcionaria sem o kde ...
ele depende de um componente para funcionar , o kdesktop ...
se ele funcionar , ficaria sem os efeitos de transparencia , e ainda seria necessário
ter o QT instalado ...

[3] Comentário enviado por andre_asn em 15/04/2005 - 01:25h

Uma duvida tenho que remover o Karamba antigo para poder usar o Superkaramba ou apenas deixando ele inativo ja é suficiente ?

[4] Comentário enviado por removido em 15/04/2005 - 16:46h

recomendo remover o karamba ...

:0)

[5] Comentário enviado por eduac em 09/05/2005 - 02:59h

megatron,

Achei o seu artigo/tutorial mt bom, segui ele a risca e obtive exito em tudo, menos em uma coisa que pode parecer boba mas seria interessante eu te perguntar.
Para eu colocar os displays em todos os workspaces do flux, eu tenho que clicar como botão direito em cima do theme e selecionar to desktop/all desktops. Correto?
Pois bem, eu faço isso, só que ele não "grava" e quando eu reinicio o flux ele perde essa marcação para habilitar os displays para todos os workspaces.

Ou seja, eu toda vez que entro, tenho que ir no bendito menu para marcar essa opção.

Vc sabe como resolver isso?

[6] Comentário enviado por removido em 09/05/2005 - 20:30h

esse funcionamento é típico : o superkaramba só mantem as configs dos displays para que aparençam em todas as áreas de trabalho , quando se está rodando dentro do kde , o kde possui um sistema de salvar a config da sessão , e ao fazer isso automaticamente os displays também tem suas configs de área de trabalho salvas ...
infelismente eu desconheço alguma forma de contornar esse problema ,
quando se usa o superkaramba fora do kde ...

:0(


[7] Comentário enviado por eduac em 11/05/2005 - 15:46h

Pois é, isso é meio chato de se fazer toda vez que for entrar no flux, afinal esse sistema de displays é bem melhor e mais leve que o gdesklets.
Eu tentei verificar alguma opção no source que controla isso no superkaramba (karamba.cpp), para ver se tinha alguma opção onde eu pudesse colocar true por default no (all desktops), só que não encontrei nada ou a minha prática em C++ ta muito enferrujada, rs.
Também pedi ajuda em foruns internacionais tb, e nada. Eu até mandei um email para o criador do superkaramba, só que o email voltou (domínio inválido).
Ta dificil de encontrar uma solução :(

[8] Comentário enviado por together em 29/05/2005 - 23:09h

oi.. eu to tentando instala o superkaramba... ai do o ./configure..

chega num ponto q ele para e da esse erro

checking for moc... /usr/lib/qt3/bin/moc
checking for uic... /usr/lib/qt3/bin/uic
checking whether uic supports -L ... yes
checking whether uic supports -nounload ... yes
yes
checking for rpath... yes
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!
[root@together superkaramba-0.36]#

[9] Comentário enviado por removido em 30/05/2005 - 19:54h

o superkaramba é um software feito pra rodar com as bibliotecas QT e o kde ...
aparentemente vc não tem o kde instalado : checking for KDE... configure: error:
instale o kde que o superkaramba vai compilar ...

:0)

[10] Comentário enviado por bestmix em 04/06/2005 - 17:32h

tente instalar os pacotes kde-common e kde-task se voce esta usando o conectiva pode faze-lo pelo Synaptic mesmo.

[11] Comentário enviado por broetto em 11/06/2005 - 19:32h

ola... eu sou novo no linux... Uso o Kurumin
quando eu tentei instalar o Super Karamba deu o seguinte errologo após eu dar o comando "make"

make[3]: Leaving directory `/home/kurumin/superkaramba-0.35/doc/en'
make[2]: ** [all-recursive] Erro 1
make[2]: Leaving directory `/home/kurumin/superkaramba-0.35/doc'
make[1]: ** [all-recursive] Erro 1
make[1]: Leaving directory `/home/kurumin/superkaramba-0.35'
make: ** [all] Erro 2

o que devo fazer??
muito obrigado

[12] Comentário enviado por removido em 12/06/2005 - 10:31h

no seu caso é mais fácil vc instalar via apt-get , usando o root execute :
apt-get update
apt-get install superkaramba

:0)

[13] Comentário enviado por herz_von_tränen em 18/10/2005 - 17:23h

Fala galera !!! Belezinha !!!

Eu achei um repositorio do apt-get para o superkaramba,consegui instalá-lo pelo synaptic, mas depois de instalado ele está dando este erro aqui:

parafernalha:/usr# superkaramba
superkaramba: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4' not found (required by superkaramba)
superkaramba: /usr/lib/libstdc++.so.6: version `CXXABI_1.3' not found (required by superkaramba)
parafernalha:/usr#

Ele estava dando um erro parecido com a libpython2.4.so.1.0 (que eu não tenho). Eu fiz um link para a libpython2.3.so.1.0 (que eu tenho) dentro de /usr/lib da seguinte forma:

# ln -s libpython2.3.so.1.0 libpython2.4.so.1.0

. Bem ... Depois que eu fiz o link, ele deu um erro nessa libstdc++.so.6. Eu segui o mesmo raciocínio e fiz um link da libstdc++.so.6 (que eu não tenho) para a libstdc++.so.5 (que eu tenho) dentro de /usr/lib...
Então ele deu este erro ai em cima.... Alguém me dá uma luz ai...

[14] Comentário enviado por removido em 18/10/2005 - 19:11h

pegue o fonte do superkaramba e compile em sua máquina ...

[15] Comentário enviado por herz_von_tränen em 18/10/2005 - 22:41h

Megatron,

Quando eu baixo o arquivo fonte e compilo tenho o seguinte erro no configure:

checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!

Bem... Eu não sei onde estão os X includes e nem sei adicionar os caminhos corretos ao configure...
Por isso eu usei o repositório. O apt-get sempre sabe onde estão os caminhos corretos...
Esqueci de um detalhe importante... Estou usando o Debian Sarge

Valeu !!! Se vc poder dar mais uma foça eu agradeço...
Abraço !!!

[16] Comentário enviado por removido em 19/10/2005 - 00:45h

o erro indica que falta algum ítem , talvez de desenvolvimento do X ...
eu uso slackware , não sei como resolver isso no debian ...

[17] Comentário enviado por pedru em 03/11/2005 - 01:13h

Poxa cara... aqui ta foda..
eu instalei funcionou tudo legal.. abro os temas de boa.
só q qndo renicio a sessão ou algo assim ele perde tudo..
o Kde até abre soh q pra RECOLOCAR os temas! =/
ae tem q colocar um por um novamente!
alguem pode ajuda ae? Grato!
[]'s

[18] Comentário enviado por removido em 03/11/2005 - 10:58h

rodando o superkaramba no kde , ao se sair dele , salvando a sessão, todos os themes de superkaramba são "gravados" , ao voltar ao kde vai estar tudo do jeito que vc tinha deixado ...
em outros gerenciadores de janela vc tem que criar um script pra carregar os themes que vc quer , ou então adicionar os themes em comandos no seu .xinitrc
(startx pra entrar no X) ou colocar os comandos na parte do kdm que carrega o
gerenciador de janelas (essa dica vai ser publicada no vol por mim) ...

exemplo no .xinitrc :

superkaramba /home/fulano/karamba/sysinfo.theme
superkaramba /home/fulano/karamba/tempo.theme
exec fluxbox

:0)

[19] Comentário enviado por pedru em 03/11/2005 - 19:01h

Entaooo eu nao estou entendedo meo!
minha outra maquina era isso mesmo!
só q nessa ele abre pra "RECOLOCAR" os themas um por um! =/
to com o KDE 3.3!
Bom.. espero sua dica!

Valeu!

[]'s

[20] Comentário enviado por brk em 13/11/2005 - 01:29h

eai galera é o seguinte quando vo instala o karamba no meu gentoo 2005.1 eu so ./configure vai normal mais quando vo da make da esse erro aki:

make[3]: Leaving directory `/home/kurumin/superkaramba-0.35/doc/en'
make[2]: ** [all-recursive] Erro 1
make[2]: Leaving directory `/home/kurumin/superkaramba-0.35/doc'
make[1]: ** [all-recursive] Erro 1
make[1]: Leaving directory `/home/kurumin/superkaramba-0.35'
make: ** [all] Erro 2

o que devo fazer??
muito obrigado

[21] Comentário enviado por 7R4PN3LL em 01/12/2005 - 01:00h

Fala ae Galera...
Seguinte, tentei instalar o SuperKaramba aqui mais no ./configure deu o seguinte erro:

"checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!"

Não faço idéia de como char esses includes e nem de como checar a instalação de corrigir os paths...
Alguém aí pode dar uma luz??

uso o Red Hat 9...

[]"s
7R4PN3LL

[22] Comentário enviado por removido em 01/12/2005 - 03:21h

aparentemente falta pacote de desenvolvimento do X ...
instale os trecos de desenvolvimento ...

[23] Comentário enviado por renatomarinho em 02/12/2005 - 21:55h

comigo também deu este erro..

checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!


Como faço para instalar os pacotes do desenvolvimento do X?

[24] Comentário enviado por romeudu em 17/12/2005 - 20:52h

Galera eu estava com um problema na instalação do superkaramba no mandriva PowerPack!!
Ele me dava esse erro a hora q eu rodava o ./configure.

Superkaramba can't be compiled
because of missing Python libraries/headers.

Eu procurei por ai e achei q tem q instalar um pacote q se chama libpython2.4-devel pra dar certo.
O meu deu certo !!..
Vai ai a dica pra quem precisar!!...
:p

[25] Comentário enviado por muitobem em 28/12/2005 - 21:04h

E ai galera!!

Tou com este erro ao instalar o superkaramba

Qd faço ./configure

"checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!"

Tive a ler o INSTALL e diz pa usar estas duas opçoes

--x-includes=DIR --x-libraries=DIR

Nao sei qual e a DIR a usar.

Tou rodando Suse 9.2

Valeu

[26] Comentário enviado por removido em 28/12/2005 - 23:55h

falta os trecos de desenvolvimento do X ...

[27] Comentário enviado por cleristonm em 05/01/2006 - 16:24h

estou usando o fc4 e estah dando este erro no "make"
make all-recursive
make[1]: Entering directory `/root/Desktop/superkaramba-0.35'
Making all in doc
make[2]: Entering directory `/root/Desktop/superkaramba-0.35/doc'
Making all in .
make[3]: Entering directory `/root/Desktop/superkaramba-0.35/doc'
make[3]: Nada a ser feito para `all-am'.
make[3]: Leaving directory `/root/Desktop/superkaramba-0.35/doc'
Making all in en
make[3]: Entering directory `/root/Desktop/superkaramba-0.35/doc/en'
make[3]: Nada a ser feito para `all'.
make[3]: Leaving directory `/root/Desktop/superkaramba-0.35/doc/en'
make[2]: Leaving directory `/root/Desktop/superkaramba-0.35/doc'
Making all in po
make[2]: Entering directory `/root/Desktop/superkaramba-0.35/po'
make[2]: Nada a ser feito para `all'.
make[2]: Leaving directory `/root/Desktop/superkaramba-0.35/po'
Making all in src
make[2]: Entering directory `/root/Desktop/superkaramba-0.35/src'
make[3]: Entering directory `/root/Desktop/superkaramba-0.35/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib/qt-3.3/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wundef -pedantic -W -Wpointer-arith -Wmissing-prototypes -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -MT main.o -MD -MP -MF ".deps/main.Tpo" \
-c -o main.o `test -f 'main.cpp' || echo './'`main.cpp; \
then mv -f ".deps/main.Tpo" ".deps/main.Po"; \
else rm -f ".deps/main.Tpo"; exit 1; \
fi
cc1plus: warning: command line option "-Wmissing-prototypes" is valid for Ada/C/ObjC but not for C++
In file included from main.cpp:5:
./karambaapp.h:14:20: error: Python.h: Arquivo ou diretório não encontrado
In file included from main.cpp:19:
karamba.h:8:20: error: Python.h: Arquivo ou diretório não encontrado
karamba_python.h:44: error: ISO C++ forbids declaration of ‘PyObject’ with no type
karamba_python.h:44: error: expected ‘;’ before ‘*’ token
karamba_python.h:45: error: ISO C++ forbids declaration of ‘PyObject’ with no type
karamba_python.h:45: error: expected ‘;’ before ‘*’ token
karamba_python.h:46: error: ISO C++ forbids declaration of ‘PyThreadState’ with no type
karamba_python.h:46: error: expected ‘;’ before ‘*’ token
karamba_python.h:48: error: ‘PyThreadState’ has not been declared
karamba_python.h:49: error: ISO C++ forbids declaration of ‘PyObject’ with no type
karamba_python.h:49: error: expected ‘;’ before ‘*’ token
karamba_python.h:50: error: ‘PyThreadState’ has not been declared
karamba_python.h:51: error: ‘PyObject’ has not been declared
make[3]: ** [main.o] Erro 1
make[3]: Leaving directory `/root/Desktop/superkaramba-0.35/src'
make[2]: ** [all-recursive] Erro 1
make[2]: Leaving directory `/root/Desktop/superkaramba-0.35/src'
make[1]: ** [all-recursive] Erro 1
make[1]: Leaving directory `/root/Desktop/superkaramba-0.35'
make: ** [all] Erro 2

[28] Comentário enviado por removido em 05/01/2006 - 21:07h

tá dando erro de python ...

[29] Comentário enviado por caralegal em 11/01/2006 - 13:37h

Oi!!! eu tive azar nem descompactar consegui vejam ai

caralegal@MyPC:~$ tar -zxvf superkaramba-0.37.tar.gz
superkaramba/
superkaramba/doc/
superkaramba/doc/Makefile.am
superkaramba/doc/Makefile.in
superkaramba/doc/superkaramba/
superkaramba/doc/superkaramba/index.cache.bz2
superkaramba/doc/superkaramba/Makefile.am
superkaramba/doc/superkaramba/Makefile.in
superkaramba/doc/superkaramba/index.docbook
superkaramba/TODO
superkaramba/Mainpage.dox
superkaramba/admin/
superkaramba/admin/compile
superkaramba/admin/Doxyfile.global
superkaramba/admin/depcomp
superkaramba/admin/deps.am
superkaramba/admin/Makefile.common
superkaramba/admin/ltmain.sh
superkaramba/admin/config.pl
superkaramba/admin/configure.in.min
superkaramba/admin/config.guess
superkaramba/admin/acinclude.m4.in
superkaramba/admin/install-sh
superkaramba/admin/config.sub
superkaramba/admin/missing
superkaramba/admin/mkinstalldirs
superkaramba/admin/cvs.sh
superkaramba/admin/doxygen.sh
superkaramba/admin/pkg.m4.in
superkaramba/admin/bcheck.pl
superkaramba/admin/nmcheck
superkaramba/admin/conf.change.pl
superkaramba/admin/am_edit
superkaramba/admin/libtool.m4.in
superkaramba/admin/ylwrap
superkaramba/admin/debianrules
superkaramba/admin/detect-autoconf.pl
superkaramba/admin/oldinclude.m4.in
superkaramba/admin/Doxyfile.am
superkaramba/admin/configure.in.bot.end
superkaramba/aclocal.m4
superkaramba/README
superkaramba/configure
superkaramba/configure.in
superkaramba/subdirs

gzip: stdin: unexpected end of file
superkaramba/Makefile.am
superkaramba/Makefile.in
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now


que é q posso fazer???

[30] Comentário enviado por caralegal em 11/01/2006 - 14:44h

Ja esta resolvido, voltei a baixar, o Superkaramba e foi.....

[31] Comentário enviado por atilazip em 23/01/2006 - 03:33h

ai pessoal para o errro: checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!, é so instalar o XFree86-devel.

[32] Comentário enviado por gilberto.araujo em 19/02/2006 - 19:20h

Pessoal,
Tentei instalar o superkaramba mas ocorreu o seguinte erro:
$ ./configure
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking for -p flag to install... yes
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking for style of include used by make... none
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

Estou usando o mandriva discovery.
Alguem poderia me ajudar?
obrigado.
Gil

[33] Comentário enviado por removido em 19/02/2006 - 23:28h

checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no

vc está sem compiladores instalados ...
instale os pacotes de desenvolvimento e tente novamente ...
se bem que é "mais fácil" vc usar o treco de pacotes do mandriva e instalar
o pacote do superkaramba , disponivel pro mandriva ...

[34] Comentário enviado por red_slack em 24/02/2006 - 18:28h

tenho uma duvida, o superkaramba tem um pacotes com os themes ja prontos ou eu posso usar uma imagem q eu tenho, tipo uma foto minha?

[35] Comentário enviado por removido em 24/02/2006 - 18:58h

para usar sua foto vc vai ter que pegar um theme pronto e modifca-lo, colocando sua foto ... ou criar vc mesmo seu theme com sua foto ...


[36] Comentário enviado por fabiofugiwara em 19/05/2006 - 11:17h

Fala Aew Galera........fmzinha;??Bom eh o seguinte, qdo tentu instalar o Superkaramba aparece istu qdo dou ./configure:
checking for rpath... yes
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!
.........Tah, blz, no topico lah em cima tah escrito q pode ser o KDE q naum estah instaladu, mas como pod ser istu se eu uso o KDE?? e como resolvo este prob??????
vlw
abraços

[37] Comentário enviado por wellington.magno em 12/06/2006 - 15:36h

Muito bom!!!
Seu artigo sobre o superkaramba.
Tudo o que voce passou deu certo, apenas uma duvida, por que quando eu encerro o konsole a configuracao que eu coloquei no desktop desaparece.
Eu uso o KDE.

[38] Comentário enviado por removido em 12/06/2006 - 16:07h

nunca ví esse problema que vc disse ...

[39] Comentário enviado por wellington.magno em 30/06/2006 - 15:24h

toda vez que eu reinicio a maquina, desaparece tudo o que eu havia feito.
como eu faço para salvar as alterações no meu desktop.

[40] Comentário enviado por removido em 30/06/2006 - 15:27h

deixe o kde salvar a sessão e seja feliz ....

[41] Comentário enviado por removido em 30/11/2006 - 17:48h

fui instalar pelo apt-get e recebi essa mensagem:

linceserv01:/home/diose# apt-get install superkaramba
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
O pacote superkaramba não está disponível, mas é referenciado por outro pacote.
Isso pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte
E: O pacote superkaramba não tem candidato para instalação
linceserv01:/home/diose#

o que isso significa?

[42] Comentário enviado por removido em 30/11/2006 - 19:30h

atualmente o superkaramba faz parte do kde
atualize seu kde para a versão 3.5.x e automaticamente
vc terá o superkaramba

:0)

[43] Comentário enviado por Gaucho em 10/01/2007 - 08:10h

Autobots.... girar e rodar! :-)

Muito massa o artigo, mas principalmente os comentários, muito úteis para o posterior troubelshooting, parabéns!

Aliás, parabéns também pelas dicas de Slackware no teu site, show de bola!

[44] Comentário enviado por removido em 10/01/2007 - 09:05h

obrigado !!!
:0)

[45] Comentário enviado por rmazzini em 05/07/2007 - 20:54h

olha fiz direitinho como você explicou mas não entrou nada no final dá erro e não achei o superkaramba tem alguma outra maneira de intalar ele?
Obrigado por ua atenção.

[46] Comentário enviado por removido em 05/07/2007 - 22:39h

a forma mais fácil é instalar via pacote feito para a sua distribuição
:0)

[47] Comentário enviado por israel007 em 16/07/2007 - 22:30h

vlw... deu certinho aki.. vlw mesmo..

[48] Comentário enviado por feliperossi em 22/03/2008 - 03:20h

ele funciona um tempo e depois fecha tudo e leva tudo q eu fiz junto hushusuhsa
q q pode ser isso amigo

[49] Comentário enviado por removido em 22/03/2008 - 15:24h

nem faço idéia
:0(

[50] Comentário enviado por queirozoliver em 25/03/2008 - 23:25h

oi sou novo no linux e estoucom uma dificuldade para instalar o superkaramba
estah dando um erro do python, jah instalei o 2.5, 2.4 e nada continua dando erro o erro q estah dando eh
checking for Python directory... /usr/local
checking for Python2.4... header no library no modules no
checking for Python2.3... header no library no modules no
checking for Python2.2... header no library no modules no
checking for Python2.1... header no library no modules no
checking for Python2.0... header no library no modules no
checking for Python1.5... header no library no modules no

desde jah obrigado !!
valeu

[51] Comentário enviado por removido em 26/03/2008 - 00:22h

mais fácil vc instalar a partir de pacote da sua distribuição

[52] Comentário enviado por tony_hild em 03/07/2009 - 01:31h

é necessário instalar o pacote xorg-x11-devel

[53] Comentário enviado por crf-rafa em 05/06/2010 - 02:23h

Exatamente oq eu estava procurando, mudei pra o linux agora. Consegui por minha internet pra funcionar (Giro Embratel) *_*
era so oq faltava =D
Lembro dessa barra no Kurumin e resolvi instalar aki

Abçs


Contribuir com comentário